package com.qmth.boot.core.concurrent.model;

import java.util.concurrent.locks.Lock;

public class StackLock {

    private Lock lock;

    private String key;

    private LockType type;

    public StackLock(Lock lock, String key, LockType type) {
        this.lock = lock;
        this.key = key;
        this.type = type;
    }

    public Lock getLock() {
        return lock;
    }

    public String getKey() {
        return key;
    }

    public LockType getType() {
        return type;
    }

}
